defmodule Nulla.Repo.Migrations.CreateActivities do
  use Ecto.Migration

  def change do
    create table(:activities, primary_key: false) do
      add :id, :bigint, primary_key: true
      add :ap_id, :string
      add :type, :string
      add :actor, :string
      add :object, :string
      add :to, {:array, :string}
      add :cc, {:array, :string}

      timestamps(type: :utc_datetime)
    end

    create index(:activities, [:ap_id])
    create index(:activities, [:type])
    create index(:activities, [:actor])
  end
end
